/********** CSS *********/
:root {
    --primary: #4E7D2A;
    /* deeper herbal green (more premium) */
    --primary-light: #88B44E;

    --secondary: #FB9F38;
    /* spice orange */
    --secondary-dark: #e6891f;

    --accent: #C8A96A;
    /* gold (luxury touch) */

    --light: #F5F8F2;
    /* soft herbal background */
    --cream: #FFF8F0;
    /* warm spice background */

    --dark: #252C30;
    /* main text */
    --brown: #6D4C41;
    /* spice earth tone */

}

.back-to-top {
    position: fixed;
    display: none;
    right: 30px;
    bottom: 30px;
    z-index: 99;
}

.fw-medium {
    font-weight: 600;
}

.fw-bold {
    font-weight: 700;
}

.fw-black {
    font-weight: 900;
}

/*** Spinner ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}

/*** Button ***/
.btn {
    transition: .5s;
    font-weight: 500;
}

.btn-primary,
.btn-outline-primary:hover {
    color: #4E342E;
}

.btn-secondary,
.btn-outline-secondary:hover {
    color: var(--primary);
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}

/*** Navbar ***/
.sticky-top {
    position: sticky;
    top: 0;
    z-index: 9999;
    background: ;
}

/* make navbar layout stable */
.navbar {
    display: flex;
    align-items: center;
}

/* cart badge */
.cart-badge {
    background: red;
    color: white;
    padding: 2px 6px;
    border-radius: 50%;
    font-size: 12px;
    margin-left: 5px;
    display: inline-block;
}

/* bounce animation */
.bounce {
    animation: bounce 0.4s;
}

@keyframes bounce {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.4);
    }

    100% {
        transform: scale(1);
    }
}

/* FIX cart position on desktop */
.cart-wrapper {
    display: flex;
    align-items: center;
    margin-left: auto;
}

mobile fix / @media (max-width: 991px) {
    .cart-wrapper {
        position: absolute;
        right: 60px;
        top: 15px;
    }
}

/ default size .navbar {
    padding: 20px 0;
    transition: 0.3s ease;
}

/* when scrolled */
.navbar.shrink {
    padding: 8px 0;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
}

.navbar .navbar-brand {
    position: absolute;
    padding: 0;
    width: 170px;
    height: 135px;
    top: 0;
    left: 0;
}

.navbar .navbar-nav .nav-link {
    margin-right: 35px;
    padding: 25px 0;
    color: var(--dark);
    font-weight: 600;
    text-transform: uppercase;
    outline: none;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
    color: var(--primary);
}


@media (max-width: 991.98px) {
    .navbar .navbar-brand {
        width: 126px;
        height: 100px;
    }

    .navbar .navbar-nav .nav-link {
        margin-right: 0;
        padding: 10px 0;
    }

    .navbar .navbar-nav {
        margin-top: 75px;
        border-top: 1px solid #EEEEEE;
    }

}

.navbar .logo {
    line-height: 1;
}

.navbar .logo img {
    max-height: 32px;
    margin-right: 8px;
}

.navbar .logo h1 {
    font-size: 30px;
    margin: 0;
    font-weight: 400;
    color: var(--heading-color);
}

/*** Header ***/
.carousel-caption {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    background: rgba(136, 180, 78, .7);
    z-index: 1;
    background: linear-gradient(rgba(160, 120, 90, 0.65),
            rgba(160, 120, 90, 0.65)),
        url("../img/carousel.jpg") center / cover no-repeat;
    display: flex;
    align-items: center;
}


.carousel-control-prev,
.carousel-control-next {
    width: 15%;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.55);
}

.carousel-item {
    position: relative;
}

/* Custom Button */
.btn-custom {
    background: #4E342E;
    color: #ffffff;
    font-weight: 600;
    border-radius: 50px;
    transition: 0.3s;
}

.btn-custom:hover {
    background: #6D4C41;
    color: #fff;
}

/* Mobile Optimization */
@media (max-width:768px) {
    .carousel-caption h1 {
        font-size: 28px;
    }

    .carousel-caption p {
        font-size: 14px;
    }
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    width: 3.5rem;
    height: 3.5rem;
    border-radius: 3.5rem;
    background-color: var(--dark);
    border: 15px solid var(--dark);
}

@media (max-width: 768px) {
    #header-carousel .carousel-item {
        position: relative;
        min-height: 450px;
    }

    #header-carousel .carousel-item img {
        position: absolute;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

}

.page-header {
    background: linear-gradient(rgba(136, 180, 78, .7), rgba(136, 180, 78, .7)), url(../img/carousel-1.jpg) center center no-repeat;
    background-size: cover;
}

.page-header .breadcrumb-item+.breadcrumb-item::before {
    color: var(--light);
}

.page-header .breadcrumb-item,
.page-header .breadcrumb-item a {
    font-size: 18px;
    color: var(--light);
}

/*** Section Title ***/
.section-title {
    position: relative;
    margin-bottom: 3rem;
    padding-bottom: 2rem;
}

.section-title::before {
    position: absolute;
    content: "";
    width: 50%;
    height: 2px;
    bottom: 0;
    left: 0;
    background: var(--primary);
}

.section-title::after {
    position: absolute;
    content: "";
    width: 28px;
    height: 28px;
    bottom: -13px;
    left: calc(25% - 13px);
    background: var(--dark);
    border: 10px solid #FFFFFF;
    border-radius: 28px;
}

.section-title.text-center::before {
    left: 25%;
}

.section-title.text-center::after {
    left: calc(50% - 13px);
}

/*** Products ***/
.product {
    background: linear-gradient(rgba(136, 180, 78, .1), rgba(136, 180, 78, .1)), url(../img/product-bg.png) left bottom no-repeat;
    background-size: auto;
}

.product-carousel .owl-nav {
    display: flex;
    justify-content: center;
    margin-top: 30px;
}

.product-carousel .owl-nav .owl-prev,
.product-carousel .owl-nav .owl-next {
    margin: 0 10px;
    width: 55px;
    height: 55px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #4E342E;
    background: #F5EFE6;
    border-radius: 55px;
    box-shadow: 0 0 45px rgba(0, 0, 0, .15);
    font-size: 25px;
    transition: .5s;
}

.product-carousel .owl-nav .owl-prev:hover,
.product-carousel .owl-nav .owl-next:hover {
    background: #FFFFFF;
    color: var(--primary);
}

.product-card {
    background: #fff;
    border-radius: 15px;
    box-shadow: 0 5px 20px rgba(0, 0, 0, 0.08);
    transition: 0.3s;
}

.product-card:hover {
    transform: translateY(-8px);
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.15);
}

.product-img {
    position: relative;
    overflow: hidden;
    border-radius: 10px;

}

.product-img img {
    width: 100%;
    object-fit: cover;
    transition: 0.4s;
}

.product-card:hover img {
    transform: scale(1.05);
}

.product-img .badge {
    position: absolute;
    top: 10px;
    left: 10px;
}

.product-card button {
    border-radius: 30px;
    font-weight: 600;
    background-color: #88B44E;
    /* herbal green */
    color: #ffffff;
    border: none;
    padding: 12px 20px;
    border-radius: 8px;
    font-size: 16px;
    cursor: pointer;
    transition: 0.3s ease;
}


/* INGREDIENTS */
.ingredients-box {
    background: rgba(210, 180, 140, 0.6);
    border-radius: 12px;
    padding: 10px;
    margin: 10px 0;
}

.ingredients-title {
    font-size: 15px;
    color: var(--primary);
    margin-bottom: 10px;
    font-weight: bold;
    text-align: center;
}

.ingredients-box ul {
    padding-left: 15px;
    margin: 0;
}

.ingredients-box li {
    font-size: 13px;
    color: var(--primary);
    margin-bottom: 3px;
}

.ingredients-box ul {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px 30px;
    list-style: disc;
    padding-left: 20px;
}

/* PRICE OPTIONS */
.price-options {
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin: 10px 0;
}

.price-option {
    cursor: pointer;
}

.price-option input {
    display: none;
}

/* CARD STYLE */
.price-card {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    border-radius: 10px;
    background: rgba(255, 255, 255, 0.05);
    border: 1px solid transparent;
    transition: 0.3s;
}

/* HOVER */
.price-card:hover {
    background: rgba(34, 197, 94, 0.1);
}

/* ACTIVE SELECTED */
.price-option input:checked+.price-card {
    border: 1px solid #a6602a;
    background: rgba(210, 180, 140, 0.6);
}

/* TEXT */
.price-card span {
    font-size: 13px;
    color: var(--primary);
}

.price-card strong {
    font-size: 16px;
    color: #22c55e;
}

.cart-panel {
    max-width: 700px;
    margin: auto;
    background: #fff;
    border-radius: 15px;
    padding: 20px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
}

.cart-title {
    margin-bottom: 20px;
    font-weight: bold;
}

.cart-items {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.cart-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #f9f9f9;
    padding: 10px;
    border-radius: 12px;
    animation: fadeIn 0.3s ease-in;
}

.cart-item img {
    width: 60px;
    height: 60px;
    border-radius: 10px;
    object-fit: cover;
}

.cart-info {
    flex: 1;
    margin-left: 10px;
}

.cart-info h5 {
    margin: 0;
    font-size: 16px;
}

.cart-info small {
    color: gray;
}

.cart-actions {
    text-align: right;
}

.remove-btn {
    background: red;
    color: white;
    border: none;
    padding: 5px 8px;
    border-radius: 6px;
    cursor: pointer;
}

.cart-footer {
    margin-top: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.checkout-btn {
    background-color: #4E342E;
    color: #ffffff;
    border: none;
    padding: 14px 24px;
    border-radius: 8px;
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
    transition: 0.3s ease;
    width: 100%;
}

.checkout-btn:hover {
    transform: scale(1.05);
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(10px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.variant-line {
    font-size: 13px;
    color: #555;
    margin-left: 5px;
}

.toast.show {
    opacity: 1;
    visibility: visible;
    transform: translateX(-50%) translateY(-10px);
}

.toast {
    position: fixed;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%) translateY(20px);
    background: #111;
    color: #ffff;
    padding: 12px 18px;
    border-radius: 8px;
    font-size: 14px;
    opacity: 0;
    visibility: hidden;
    transition: 0.3s ease;
    z-index: 9999;
}

.toast.show {
    opacity: 1;
    visibility: visible;
    transform: translateX(-50%) translateY(0);
}

/* success */
.toast.success {
    background: var(--primary);
}

/* error */
.toast.error {
    background: var(--secondary);
}

.cart-badge {
    background: red;
    color: white;
    padding: 2px 6px;
    border-radius: 50%;
    font-size: 12px;
    margin-left: 5px;
    display: inline-block;
}

.bounce {
    animation: bounce 0.4s;
}

@keyframes bounce {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.4);
    }

    100% {
        transform: scale(1);
    }
}


/*** Store ***/
.store-item .store-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: rgba(138, 180, 78, .3);
    opacity: 0;
    transition: .5s;
}

.store-item:hover .store-overlay {
    opacity: 1;
}

/*** Contact ***/
.contact .btn-square {
    width: 100px;
    height: 100px;
    border: 20px solid var(--light);
    background: var(--primary);
    border-radius: 50px;
}

/*** Testimonial ***/
.testimonial {
    min-height: 300px;
    background: linear-gradient(rgba(181, 136, 99, 0.75),
            rgba(181, 136, 99, 0.75)),
        url("../img/testimonial-bg.jpg") center center / cover no-repeat;
}

.testimonial-item {
    margin: 0 auto;
    max-width: 600px;
    text-align: center;
    background: #FFFFFF;
    border: 30px solid #ac6a1d;
}

.testimonial-item img {
    width: 60px !important;
    height: 60px !important;
    border-radius: 60px;
}

.testimonial-carousel .owl-dots {
    margin-top: 35px;
    display: flex;
    align-items: flex-end;
    justify-content: center;
}

.testimonial-carousel .owl-dot {
    position: relative;
    display: inline-block;
    margin: 0 5px;
    width: 15px;
    height: 15px;
    background: #ac6a1d;
    border-radius: 15px;
    transition: .5s;
}

.testimonial-carousel .owl-dot.active {
    width: 30px;
    background: #F5EFE6;
}

/*** Footer ***/
.footer {
    color: #B0B9AE;
}

.footer .btn.btn-link {
    display: block;
    margin-bottom: 5px;
    padding: 0;
    text-align: left;
    color: #B0B9AE;
    font-weight: normal;
    text-transform: capitalize;
    transition: .3s;
}

.footer .btn.btn-link::before {
    position: relative;
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    color: var(--primary);
    margin-right: 10px;
}

.footer .btn.btn-link:hover {
    color: var(--light);
    letter-spacing: 1px;
    box-shadow: none;
}

.copyright {
    color: #B0B9AE;
}

.copyright {
    background: #252525;
}

.copyright a:hover {
    color: #FFFFFF !important;
}

.article {
    background: linear-gradient(rgba(136, 180, 78, .85), rgba(136, 180, 78, .85)), url(../img/video-bg.jpg) center center no-repeat;
    background-size: cover;
}